LDIV(3)

NAME
ldiv - return quotient and remainder from division

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
ldiv_t
ldiv(long numer, long denom);

DESCRIPTION
The ldiv() function computes the value numer/denom (numerator/denominator). It returns the quotient and remainder in a structure named ldiv_t that contains two long members named quot (quotient) and rem (remainder).

SEE ALSO
div(3), imaxdiv(3), lldiv(3), math(3)

STANDARDS
The ldiv() function conforms to isoC-99.

HISTORY
An ldiv() function with similar functionality, but a different calling convention, first appeared in AT&T UNIX.